<?xml version='1.0'?>
<options>
  <section title='Display'>
    <frame label='Fonts'>
      <font name='default_font' label='Text font'>
        Font used for normal text.
      </font>
    </frame>
    
    <frame label='Colours' size-group='colours'>
	  <hbox>
	  <colour name='foreground' label='Foreground colour'/>
      <colour name='background' label='Background colour'/>
	  </hbox>
    </frame>

    <frame label='Word Wrap'>
      <toggle name='wordwrap' label='Wrap long lines of text'>
          Control whether lines wider than the window are wrapped to multiple display lines.
      </toggle>
    </frame>
	<frame label='Toolbar'>
      <toggle name='show_toolbar' label='Show toolbar'>Display a toolbar along the top of each window with common tools.</toggle>
    </frame>

  </section>

  <section title='Spacing'>
    
    <frame label='Margins'>
      <hbox>
        <numentry name='layout_left_margin' label='' min='0' max='100' unit='pixels for left margin, and for the right:'/>
        <numentry name='layout_right_margin' label='' min='0' max='100' unit='pixels'/>
      </hbox>
    </frame>

    <frame label='Paragraphs' size-group='para'>
      <numentry name='layout_before_para' label='Space above paragraphs'
      		min='0' max='10' unit='pixels'/>
      <numentry name='layout_after_para' label='Space below paragraphs'
      		min='0' max='10' unit='pixels'/>
      <numentry name='layout_inside_para' label='Line spacing within paragraphs'
      		min='0' max='10' unit='pixels'/>
      <numentry name='layout_indent_para' label='New-paragraph indent'
      		min='-100' max='100' unit='pixels'/>
    </frame>
  </section>

  <section title='Editing'>
    <frame label='Indentation'>
      <toggle name='autoindent' label='Automatic indentation'>
        When you press Return, the next line starts with the same amount of indentation as the previous line.
      </toggle>
      <source-view-only label='You need the gtksourceview Python module (pysourceview&#xa;or gnome-python-extras) to use these'>
	<toggle name='show_margin' label='Show Print Margin'>Draw a line to show the right margin for printing.</toggle>
	<numentry name='right_margin' label='Print Margin' min='20' max='300' unit='characters'/>
	<toggle name='smart_home_end' label='Smart Home/End'>Move to the first/last actual character on the line, ignoring spaces.</toggle>
	<toggle name='show_line_numbers' label='Show Line Numbers'>Add a column on the far left showing line numbers.</toggle>
	<toggle name='show_line_markers' label='Show Bookmarks'>Add a column in the left margin showing which lines are bookmarked.</toggle>
	<toggle name='use_spaces_for_tabs' label='Use spaces instead of Tabs'>Pressing the Tab key inserts multiple spaces, instead of a single Tab character.</toggle>
	<numentry name='tab_width' label='Tab width' min='2' max='10' unit='characters'>Show one tab as this number of spaces or, when 'Use spaces instead of Tabs' is on, insert this many spaces.</numentry>
      </source-view-only>
    </frame>
  </section>

  <section title='Changes'>
    <frame label='Colours for Show Changes feature'>
      <hbox><colour name='headers_fg' label='Foreground'/><colour name='headers_bg' label='Background'/><label>(headers)</label></hbox>
      <hbox><colour name='static_fg' label='Foreground'/><colour name='static_bg' label='Background'/><label>(no change)</label></hbox>
      <hbox><colour name='additions_fg' label='Foreground'/><colour name='additions_bg' label='Background'/><label>(additions)</label></hbox>
      <hbox><colour name='deletions_fg' label='Foreground'/><colour name='deletions_bg' label='Background'/><label>(deletions)</label></hbox>
    </frame>
  </section>

</options>
